/*
このファイルの中身は、NTT オープンソースライセンス　バージョン 1.0（「本
契約」という）の適用を受けます。
本契約を遵守しない限り、このファイルを使用してはなりません。
本契約のコピーは、次のＵＲＬから入手できます。
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

本契約に基づき頒布されるソフトウェアは、現状のまま、明示又は黙示のあらゆ
る種類の保証なしで、頒布されます。本契約に基づく権利及び制限を律する特定
の文言については、本契約を参照してください。

「オリジナルコード」は、 NTT Cyber Space Laboratories Code です。 
「オリジナルコード」の「初期開発者」は、日本電信電話株式会社です。  
日本電信電話株式会社により創作された部分は、Copyright (C) 2004 
日本電信電話株式会社 です。
全ての権利が留保されます。 
「コントリビュータ」：_____________________________________ 


The contents of this file are subject to the NTT Opensource License
Version 1.0 (the License); you may not use this file except in
compliance with the License. You may obtain a copy of the License at
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

Software distributed under the License is distributed on an AS IS
basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
License for the specific language governing rights and limitations
under the License.

The Original Code is NTT Cyber Space Laboratories Code .

The Initial Developer of the Original Code is NIPPON TELEGRAPH AND 
TELEPHONE CORPORATION.
Portions created by the NIPPON TELEGRAPH AND TELEPHONE CORPORATION 
are Copyright (C) 2004 NIPPON TELEGRAPH AND TELEPHONE CORPORATION. 
All Rights Reserved.

Contributor(s) ______________________________________.
*/

//
// 画面情報ロジック実行結果とりまとめクラス。
// 
//
//	変更履歴
//	2004/01/08 新規作成	T.Nishiki 
//
package jp.co.ntt.lms.xms.framework.base;

import java.util.ArrayList;
import java.util.List;

import jp.co.ntt.lms.xms.framework.XmsException;
import jp.co.ntt.lms.xms.framework.XmsScreenBean;
import jp.co.ntt.lms.xms.framework.XmsSystemException;

/**
 * ロジック実行結果を１つのまとめるためのクラス。<br>
 * @author nishiki
 */
public class ActionResultBean extends XmsScreenBean {

	/**
	 * ロジック結果のリスト。
	 */
	private List logicResultList;

	/**
	 * コンストラクタ<br>
	 */
	public ActionResultBean() {
		super();
		this.logicResultList = new ArrayList();
	}

	/**
	 * ロジック結果を内部リストに登録する。<br>
	 * @param logicResult ロジック結果クラス。
	 * @throws XmsException logicResultがnullの場合。
	 */
	public void addLogicResult(LogicResult logicResult) throws XmsException {
		if (logicResult == null) {
			throw new XmsSystemException("logicResult is null.");
		}
		this.logicResultList.add(logicResult);
	}

	/**
	 * 引数で指定したロジック結果を取得する。<br>
	 * クラス内部のリストに保持している結果から、
	 * 添え字を指定して、ロジックを取得する。
	 * 
	 * @param index 取得するロジック結果の番号。
	 * @return LogResult 対応するロジック結果。
	 * @throws XmsException 指定した添え字が不正な場合。
	 */
	public final LogicResult getLogResult(int index) throws XmsException {
		LogicResult result = null;
		try {
			result = (LogicResult) logicResultList.get(index);
		} catch (Exception e) {
			throw new XmsSystemException(e);
		}
		return result;
	}

	/**
	 * 先頭のロジック結果を戻す。<br>
	 * クラス内部のリストに保持している結果から、 
	 * 先頭要素となっているロジックを取得する。
	 * @return 先頭のロジック結果。
	 * @throws XmsException １つもロジック結果を登録していない場合。
	 */
	public final LogicResult getFirstLogResult() throws XmsException {
		return getLogResult(0);
	}
}
